net.sf.jasperreports.engine.fill

## Class JRSwapFileVirtualizer

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRAbstractLRUVirtualizer
  - - net.sf.jasperreports.engine.fill.StoreVirtualizer
    - - net.sf.jasperreports.engine.fill.JRSwapFileVirtualizer

- All Implemented Interfaces:
    JRVirtualizer

      public class JRSwapFileVirtualizer
      extends StoreVirtualizer

  A virtualizer that uses a single swap file to serialize virtual data.
  Version:
    $Id: JRSwapFileVirtualizer.java 6588 2013-10-14 14:00:30Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.fill.JRAbstractLRUVirtualizer

      `JRAbstractLRUVirtualizer.Cache, JRAbstractLRUVirtualizer.CacheReference`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRAbstractLRUVirtualizer

      `lastObjectMap, lastObjectRef, lastObjectSet, serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRSwapFileVirtualizer(int maxSize, JRSwapFile swap)` Creates a virtualizer that uses a swap file.
    `JRSwapFileVirtualizer(int maxSize, JRSwapFile swap, boolean swapOwner)` Creates a virtualizer that uses a swap file.
    `JRSwapFileVirtualizer(int maxSize, JRSwapFile swap, boolean swapOwner, StreamCompression compression)` Creates a virtualizer that uses a swap file.

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.StoreVirtualizer

      `cleanup, dispose, pageIn, pageOut`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRAbstractLRUVirtualizer

      `clearData, deregisterObject, dispose, disposeAll, evict, finalize, isEvictable, isPagedOut, isPagedOutAndTouch, isReadOnly, isReadOnly, lastObject, readData, registerObject, requestData, reset, setLastObject, setReadOnly, touch, virtualizeData, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRSwapFileVirtualizer

          public JRSwapFileVirtualizer(int maxSize,
                               JRSwapFile swap)

      Creates a virtualizer that uses a swap file.

      The virtualizer will be considered the owner of the swap file.

      Parameters:
        `maxSize` - the maximum size (in JRVirtualizable objects) of the paged in cache.
        `swap` - the swap file to use for data virtualization

    - #### JRSwapFileVirtualizer

          public JRSwapFileVirtualizer(int maxSize,
                               JRSwapFile swap,
                               boolean swapOwner)

      Creates a virtualizer that uses a swap file.
      Parameters:
        `maxSize` - the maximum size (in JRVirtualizable objects) of the paged in cache.
        `swap` - the swap file to use for data virtualization
        `swapOwner` - whether the virtualizer is the owner (single user) of the swap file. If `true`, the virtualizer will dispose the swap file on `cleanup`.

    - #### JRSwapFileVirtualizer

          public JRSwapFileVirtualizer(int maxSize,
                               JRSwapFile swap,
                               boolean swapOwner,
                               StreamCompression compression)

      Creates a virtualizer that uses a swap file.
      Parameters:
        `maxSize` - the maximum size (in JRVirtualizable objects) of the paged in cache.
        `swap` - the swap file to use for data virtualization
        `swapOwner` - whether the virtualizer is the owner (single user) of the swap file. If `true`, the virtualizer will dispose the swap file on `cleanup`.
        `compression` - stream compression to apply to serialized data

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com